import * as $dara from '@darabonba/typescript';
export declare class DescribeTagKeysResponseBodyTagKeysTagKey extends $dara.Model {
    tagKey?: string;
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeTagKeysResponseBodyTagKeys extends $dara.Model {
    tagKey?: DescribeTagKeysResponseBodyTagKeysTagKey[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeTagKeysResponseBody extends $dara.Model {
    /**
     * @remarks
     * The token that is used for the next query. Valid values:
     *
     * *   If the value of **NextToken** is not returned, it indicates that no next query is to be sent.
     * *   If a value of **NextToken** is returned, the value is the token that is used for the subsequent query.
     *
     * @example
     * FFmyTO70tTpLG6I3FmYAXGKPd****
     */
    nextToken?: string;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * DE65F6B7-7566-4802-9007-96F2494AC512
     */
    requestId?: string;
    tagKeys?: DescribeTagKeysResponseBodyTagKeys;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
